Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-9479

iOS: ASIHTTPRequest needs to be updated to v1.8.1-61 2011-09-19 urgently

    Details

      Description

      A couple of us have started to see a fatal error creep in to performing some secure HTTP requests.

      See : http://developer.appcelerator.com/question/138147/createhttpclient---ssl-problem-on-some-api-call

      The error message "A connection failure occurred: SSL problem (possibly a bad/expired/self-signed certificate, clock set to wrong date)" has also been mentioned in a recent commit to the ASIHTTPRequest tree :

      See : https://github.com/pokeb/asi-http-request/pull/325

      The version used by Titanium is : v1.8.1-8 2011-06-05

      The latest version from ASI is : v1.8.1-61 2011-09-19 (as stated in the ASIHTTPRequest.m file)

      Please, this needs to be updated uregntly. The bug appears to have crept in via a recent iOS update and can only get worse if not fixed urgently. Especially given the impending WWDC.

        Attachments

          Activity

            People

            • Assignee:
              blainhamon Blain Hamon
              Reporter:
              kosso kosso
            • Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-13642
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Integration